Ubuntu bietet seit heute ein Update des xserver-core Paketes auf die Version 1.3.0.0.dfsg-12ubuntu8.1 an, welches scheinbar Fehler enthält. Nach dem Einspielen des Updates verabschieden sich unter anderem Eclipse, Hibiscus und Azureus mit einer Xorg Fehlermeldung:

The program 'Eclipse' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.

Sollte man das Update schon installiert haben und nun frustriert auf den Fehler starren sollte man einfach den Schritt auf die zurückmachen. Dabei hilft es einfach das Alte Paket mittels apt wieder zu installieren:

sudo apt-get install xserver-xorg-core=2:1.3.0.0.dfsg-12ubuntu8

Bei der Gelegenheit hatte ich mal wieder die Gelegenheit festzustellen wie umfangreich und schön doch aptitude ist, hier findet man bei dem jeweiligen Paket auch die Information welche alten Paketversionen noch vorliegen und kann auch gleich gezielt downgraden.


Kommentare